Bug 184062 - Update of www/node==v0.10.22
Update of www/node==v0.10.22
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Sunpoet Po-Chuan Hsieh
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-19 01:30 UTC by amim.knabben
Modified: 2013-11-19 10:20 UTC (History)
0 users

See Also:


Attachments
file.diff (751 bytes, patch)
2013-11-19 01:30 UTC, amim.knabben
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description amim.knabben 2013-11-19 01:30:00 UTC
The actual package of Node.JS stable is 0.10.19 on ports, I have compiled the version v0.10.22, with the patch that follows

Fix: Patch is attached

Patch attached with submission follows:
How-To-Repeat: Compile the version 0.10.22 of Node.JS
Comment 1 Edwin Groothuis freebsd_committer 2013-11-19 01:30:07 UTC
Maintainer of www/node,

Please note that PR ports/184062 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/184062

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-11-19 01:30:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 linpct 2013-11-19 04:24:48 UTC
Maintainer approved.

Please see shar file at
https://raw.github.com/pct/freebsd_files/master/ports/www/node.shar .


2013/11/19 Edwin Groothuis <edwin@freebsd.org>

> Maintainer of www/node,
>
> Please note that PR ports/184062 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/184062
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>



-- 
Daniel Lin (pct)
Comment 4 Mark Linimon freebsd_committer 2013-11-19 04:52:34 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Sunpoet Po-Chuan Hsieh freebsd_committer 2013-11-19 09:39:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

I'll take it.
Comment 6 dfilter freebsd_committer 2013-11-19 10:12:24 UTC
Author: sunpoet
Date: Tue Nov 19 10:12:14 2013
New Revision: 334297
URL: http://svnweb.freebsd.org/changeset/ports/334297

Log:
  - Update to 0.10.22
  - Fix PLIST: add missing manpage
  - While I'm here, add LICENSE
  
  Changes:	https://github.com/joyent/node/blob/v0.10.22-release/ChangeLog
  PR:		ports/184062
  Submitted by:	Amim Knabben <amim.knabben@gmail.com>
  Approved by:	Daniel Lin <linpct@gmail.com> (maintainer)

Added:
  head/www/node/files/
  head/www/node/files/patch-kqueue.c   (contents, props changed)
Modified:
  head/www/node/Makefile
  head/www/node/distinfo
  head/www/node/pkg-plist

Modified: head/www/node/Makefile
==============================================================================
--- head/www/node/Makefile	Tue Nov 19 10:12:06 2013	(r334296)
+++ head/www/node/Makefile	Tue Nov 19 10:12:14 2013	(r334297)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	node
-PORTVERSION=	0.10.21
+PORTVERSION=	0.10.22
 CATEGORIES=	www
 MASTER_SITES=	http://nodejs.org/dist/v${PORTVERSION}/
 DISTNAME=	${PORTNAME}-v${PORTVERSION}
@@ -10,6 +10,8 @@ DISTNAME=	${PORTNAME}-v${PORTVERSION}
 MAINTAINER=	linpct@gmail.com
 COMMENT=	V8 JavaScript for client and server
 
+LICENSE=	MIT
+
 LIB_DEPENDS=	libexecinfo.so:${PORTSDIR}/devel/libexecinfo
 
 HAS_CONFIGURE=	yes

Modified: head/www/node/distinfo
==============================================================================
--- head/www/node/distinfo	Tue Nov 19 10:12:06 2013	(r334296)
+++ head/www/node/distinfo	Tue Nov 19 10:12:14 2013	(r334297)
@@ -1,2 +1,2 @@
-SHA256 (node-v0.10.21.tar.gz) = 7c125bf22c1756064f2a68310d4822f77c8134ce178b2faa6155671a8124140d
-SIZE (node-v0.10.21.tar.gz) = 13647047
+SHA256 (node-v0.10.22.tar.gz) = 157fc58b3f1d109baefac4eb1d32ae747de5e6d55d87d0e9bec8f8dd10679e7e
+SIZE (node-v0.10.22.tar.gz) = 13686897

Added: head/www/node/files/patch-kqueue.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/node/files/patch-kqueue.c	Tue Nov 19 10:12:14 2013	(r334297)
@@ -0,0 +1,28 @@
+--- deps/uv/src/unix/kqueue.orig    2013-11-18 23:14:54.000000000 -0200
++++ deps/uv/src/unix/kqueue.c 2013-11-18 23:16:51.000000000 -0200
+@@ -263,6 +263,25 @@
+   }
+ }
+ 
++ 
++void uv__platform_invalidate_fd(uv_loop_t* loop, int fd) {
++  struct kevent* events;
++  uintptr_t i;
++  uintptr_t nfds;
++
++  assert(loop->watchers != NULL);
++
++ events = (struct kevent*) loop->watchers[loop->nwatchers];
++  nfds = (uintptr_t) loop->watchers[loop->nwatchers + 1];
++  if (events == NULL)
++    return;
++
++  /* Invalidate events with same file descriptor */
++  for (i = 0; i < nfds; i++)
++    if ((int) events[i].ident == fd)
++      events[i].ident = -1;
++}
++
+ 
+ static void uv__fs_event(uv_loop_t* loop, uv__io_t* w, unsigned int fflags) {
+   uv_fs_event_t* handle;

Modified: head/www/node/pkg-plist
==============================================================================
--- head/www/node/pkg-plist	Tue Nov 19 10:12:06 2013	(r334296)
+++ head/www/node/pkg-plist	Tue Nov 19 10:12:14 2013	(r334297)
@@ -1,6 +1,5 @@
 bin/node
 lib/dtrace/node.d
 lib/node_modules/.keepme
-man/man1/node.1.gz
 @dirrm lib/node_modules
 @dirrm lib/dtrace
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Sunpoet Po-Chuan Hsieh freebsd_committer 2013-11-19 10:12:52 UTC
State Changed
From-To: open->closed

Committed. Thanks!